---

# Base url of the apt mirror
apt_mirror_base_url: "http://apt-mirror.zooxlabs.com/mirror"

# Docker image version of cobbler
cobbler_image_version: "1.0"

# NIC on which all the external traffic gets to
cobbler_external_network_nic: "eth3"

# NIC on which all the imaging services (cobbler, dchp) exists
cobbler_internal_network_nic: "eth2"

# CIDR for the internal network used by imaging services
cobbler_internal_network_cidr: "192.168.3.0/8"

# cobbler DHCP related configuration
cobbler_dhcp_subnet: "192.168.3.0"
cobbler_dhcp_subnet_mask: "255.255.255.0"
cobbler_dhcp_router_ip: "192.168.3.1"
cobbler_dhcp_broadcast_ip: "192.168.3.255"
cobbler_dhcp_domain_name: "zooxlabs.com"
cobbler_dhcp_ip_range: "192.168.3.2 192.168.3.254"
cobbler_nameservers:
 - "172.16.10.25"
 - "172.16.10.26"

cobbler_dhcp_nameservers: "{{ cobbler_nameservers|join(', ') }}"
cobbler_dns_nameservers: "{{ cobbler_nameservers|join(' ') }}"
cobbler_named_dns_nameservers: "{{ cobbler_nameservers|join('; ') }}"

# Docker network mode to be used for cobbler container
cobbler_network_mode: "host"

# cobbler user's ldap password to be used for fetching ssh keys for various
# machines
cobbler_ldap_password: "{{ lookup('hashi_vault', 'secret=secret/cobbler').ldap_password }}"

# Images that needs to be imported into cobbler. Each entry is a
# dictionary containing following keys
# 1. name: name of the image
# 2. breed: linux distro (mostly ubuntu)
# 3. url: http url from which a image iso can be fetched
# 4. arch: architecture of the image
# NOTE: If you need to add a new version add it to the list do not change the
# system, unless you understand the side effects
cobbler_images:
  - name: ubuntu_14.04.5
    breed: ubuntu
    url: http://releases.ubuntu.com/14.04.5/ubuntu-14.04.5-server-amd64.iso
    arch: x86_64

# Profiles that needs to imported into cobbler. Each entry is a dictionary
# provided by the robot_info_api schema (see <driving_root>/knight_industries/robot_info_api for
# more details).
cobbler_nodes: []

# Robot information service url
cobbler_robot_info_url: "https://ki-robot-info.zooxlabs.com/v1/robot/"

# Empty dictionary to hold passwords for various robots
cobbler_robot_vault_password_info: {}

# Captures the machine info for operator
cobbler_operator_machine_info:
  name: "operator"

# Captures the robot info for operator
cobbler_operator_robot_info:
  name: "operator"
  computeMajorVersion: "None"
  operatorVersion: "LAPTOP"

# The slack url to which the status messages should be sent to.
cobbler_slack_url: "https://hooks.slack.com/services/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"

# Tags to skip when running the setup
cobbler_setup_skip_tags: []

# amount of time to wait on cobber reposync
cobbler_reposync_timeout_in_seconds: 60

# slack url to upload files
cobbler_slack_upload_url: "https://slack.com/api/files.upload"

# slack channel to which the file needs to be uploaded
cobbler_slack_upload_channel: "#knight_industries"

# slack file upload token to be used for uploading
cobbler_slack_upload_token:  "{{ lookup('hashi_vault', 'secret=secret/cobbler_slack_upload_token').value }}"

# This role supports two modes of deployment i.e.,
# 1. operator mode to be used for deploying services targeted towards operator laptop
# s. vehicle mode to be used for deploying  services targeted towards vehicle compute stack
deploy_mode: "vehicle"

# Branch info service url
cobbler_ki_branch_info_url: "http://ki-branch-info.zooxlabs.com/"

# KI status service url
cobbler_ki_status_url: "http://ki-status.zooxlabs.com/"

# List of robots which needs to login automatically (e.g, zimbeast 04)
cobbler_auto_login_robots: []

# Version of the linux kernel to be installed.
cobbler_linux_kernel_version: "4.4.0-98-generic"

# The version of the linux kernel to install during imaging
# There is bug in ubuntu preseed which makes it not to install linux-image-extra when only linux-image-<version> is
# specified. To avoid this bug, specify linux-image-extra-<version> instead.
# https://bugs.launchpad.net/ubuntu/+source/debian-installer/+bug/1564158
cobbler_linux_kernel: "linux-image-extra-{{ cobbler_linux_kernel_version }}"

# Version of the linux header to be installed.
cobbler_linux_header: "linux-headers-{{ cobbler_linux_kernel_version }}"

#zoox user password
cobbler_user_default_password: "{{ lookup('hashi_vault', 'secret=secret/robot/zoox_user_password').value }}"

# OS disk encryption passphrase
cobbler_osdrive_encryption_default_password: "{{ lookup('hashi_vault', 'secret=secret/robot/os_disk_encryption_password').value }}"

# Robot images base url
robot_images_base_url: "https://robot-images.zooxlabs.com"

# Compute 3.2 os disk name (sda, sdb etc) where the OS needs to be installed.
# In compute 3.2, there are multiple disks and OS disk is explicitly plugged into a specific SATA port.
# This info is used to device the device name for compute 3+
compute_3_2_os_disk_base_path: "/sys/class/scsi_disk/8:0:0:0/device/block/"

# Base url for KI robot info
robot_info_base_url: "https://ki-robot-info.zooxlabs.com"

limit_robots: "all"
